Subject: bug#6332: Colors lost from list-colors-display

From: Eli Zaretskii <[email-masked]>
Date: Fri, 04 Jun 2010 04:42:25 -0400

> From: Juri Linkov <[email-masked]>
> Date: Thu, 03 Jun 2010 22:31:55 +0300
> Cc: 
> 
> > What was the reason of removing colors?  etc/rgb.txt contains 752 colors,
> > but x-colors now contains only 546.
> 
> The comment added 2008-05-10 (revno#87519) says that the ordering of the
> colors is chosen for the user's convenience in `list-colors-display'.
> 
> But later at 2009-08-05 I provided a patch that adds a new option
> `list-colors-sort' that defines the sorting order for `list-colors-display':
> http://thread.gmane.org/gmane.emacs.devel/113422/focus=113687
> 
> I propose to revert 2008-05-10 change, so `x-colors' will be again the
> complete copy of etc/rgb.txt.  And to install my patch that implements the
> current sorting order in `x-colors' as the default value of the new option
> `list-colors-sort'.

Can you show the differences between the list before and after the
change you suggest?  Can someone else please do that on MS-Windows?

I don't think we can decide on this without seeing the results first.